org.springframework.web.socket.messaging

## Class SessionUnsubscribeEvent

- java.lang.Object
- - java.util.EventObject
  - - org.springframework.context.ApplicationEvent
    - - org.springframework.web.socket.messaging.AbstractSubProtocolEvent
      - - org.springframework.web.socket.messaging.SessionUnsubscribeEvent

All Implemented Interfaces:
  Serializable

    public class SessionUnsubscribeEvent
    extends AbstractSubProtocolEvent

Event raised when a new WebSocket client using a Simple Messaging Protocol (e.g. STOMP) sends a request to remove a subscription.

Since:
  4.0.3
Author:
  Rossen Stoyanchev
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`SessionUnsubscribeEvent(Object source, org.springframework.messaging.Message<byte[]> message)`
`SessionUnsubscribeEvent(Object source, org.springframework.messaging.Message<byte[]> message, Principal user)`

### Method Summary

### Methods inherited from class org.springframework.web.socket.messaging.AbstractSubProtocolEvent

`getMessage, getUser, toString`

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SessionUnsubscribeEvent

    public SessionUnsubscribeEvent(Object source,
                                   org.springframework.messaging.Message<byte[]> message)

#### SessionUnsubscribeEvent

    public SessionUnsubscribeEvent(Object source,
                                   org.springframework.messaging.Message<byte[]> message,
                                   @Nullable
                                   Principal user)